Leap0

Get document symbols

Request all symbols (functions, classes, variables) in a document.

POST
/v1/sandbox/{sandboxID}/lsp/document-symbols

Request all symbols (functions, classes, variables) in a document.

Authorization

BearerAuth
AuthorizationBearer <token>

API key passed as a Bearer token in the Authorization header. Alternatively, use the leap0-authorization header.

In: header

Path Parameters

sandboxID*string

Unique sandbox identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

language_id*string
path_to_project*string
uri*string

Response Body

application/json

application/json

application/json

curl -X POST "https://api.leap0.dev/v1/sandbox/string/lsp/document-symbols" \  -H "Content-Type: application/json" \  -d '{    "language_id": "python",    "path_to_project": "/home/user/project",    "uri": "file:///home/user/project/main.py"  }'
{  "jsonrpc": "2.0",  "id": 0,  "result": null,  "error": {    "code": -32602,    "message": "Invalid params",    "data": null  }}
{  "message": "string",  "errors": [    {      "field": "string",      "error": "string"    }  ]}
{  "message": "string"}